### Method

# Gio SocketConnection get_socket

since: 2.22

#### Declaration [src]

    GSocket*
    g_socket_connection_get_socket (
      GSocketConnection* connection
    )

#### Description [src]

Gets the underlying `GSocket` object of the connection. This can be useful if you want to do something unusual on it not supported by the `GSocketConnection` APIs.

Available since: 2.22

Gets property | `Gio.SocketConnection:socket`

#### Return value

Type: `GSocket`

A `GSocket` or `NULL` on error.

The returned data is owned by the instance.